import type { IconMap, Site, SocialLink } from "@/types";

export const SITE: Site = {
	title: "z0x's blog",
	description:
		"Guides and various ramblings provided by z0x. Opinions are my own, no warranty provided.",
	featuredPostCount: 2,
	postsPerPage: 3,
	href: "https://blog.z0x.ca",
};

export const SOCIAL_LINKS: SocialLink[] = [
	{
		href: "https://matrix.to/#/@z0x:z0x.ca",
		label: "Matrix",
	},
	{
		href: "https://git.z0x.ca",
		label: "Forgejo",
	},
	{
		href: "/rss.xml",
		label: "RSS",
	},
];

export const ICON_MAP: IconMap = {
	Website: "lucide:globe",
	Forgejo: "simple-icons:forgejo",
	LinkedIn: "lucide:linkedin",
	Twitter: "lucide:twitter",
	Matrix: "simple-icons:matrix",
	RSS: "lucide:rss",
};
